/*******************************************************************************
* Copyright (C) 2013-2016, Cypress Semiconductor Corporation or a              *
* subsidiary of Cypress Semiconductor Corporation.  All rights reserved.       *
*                                                                              *
* This software, including source code, documentation and related              *
* materials ("Software"), is owned by Cypress Semiconductor Corporation or     *
* one of its subsidiaries ("Cypress") and is protected by and subject to       *
* worldwide patent protection (United States and foreign), United States       *
* copyright laws and international treaty provisions. Therefore, you may use   *
* this Software only as provided in the license agreement accompanying the     *
* software package from which you obtained this Software ("EULA").             *
*                                                                              *
* If no EULA applies, Cypress hereby grants you a personal, non-exclusive,     *
* non-transferable license to copy, modify, and compile the                    *
* Software source code solely for use in connection with Cypress's             *
* integrated circuit products.  Any reproduction, modification, translation,   *
* compilation, or representation of this Software except as specified          *
* above is prohibited without the express written permission of Cypress.       *
*                                                                              *
* Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                         *
* WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                         *
* BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                 *
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                              *
* PARTICULAR PURPOSE. Cypress reserves the right to make                       *
* changes to the Software without notice. Cypress does not assume any          *
* liability arising out of the application or use of the Software or any       *
* product or circuit described in the Software. Cypress does not               *
* authorize its products for use in any products where a malfunction or        *
* failure of the Cypress product may reasonably be expected to result in       *
* significant property damage, injury or death ("High Risk Product"). By       *
* including Cypress's product in a High Risk Product, the manufacturer         *
* of such system or application assumes all risk of such use and in doing      *
* so agrees to indemnify Cypress against all liability.                        *
*******************************************************************************//**
 ******************************************************************************
 ** \file   mcu.h
 **
 ** Header File for device dependent includes
 **
 ** History:
 ** 26.04.2016  MSCH, ACEH, Automatic generated by McuTemplateGen
 **
 ******************************************************************************/
#ifndef __MCU_H__
#define __MCU_H__

/******************************************************************************
 ** \brief Include RTE Device
 ** 
 ******************************************************************************/

#ifndef __RTE_DEVICE_H
  #include "RTE_Device.h"
#endif

/******************************************************************************
 ** \brief MCU header file include
 ** 
 ******************************************************************************/

#ifndef _S6E2C3XL_H_
  #include "s6e2c3xl.h"
#endif

/******************************************************************************
 ** \brief MCU system start-up header file include
 ** 
 ******************************************************************************/

#ifndef _SYSTEM_S6E2C3_H_
  #include "system_s6e2c3.h"
#endif

/******************************************************************************
 ** \brief GPIO macros
 ** 
 ******************************************************************************/

#ifndef __GPIO_H__
  #include "gpio.h"
#endif
#if !defined(__FGPIO_H__) && defined(FM_CORE_TYPE_FM0P)
  #include "fgpio.h"
#endif

#if defined(FM_DEVICE_PACKAGE_S6E_L)
    #ifndef __GPIO_S6E2C3XL_H__
      #include "gpio_s6e2c3xl.h"
    #endif
#else
    #error Please define the proper device package in RTE_Device.h
#endif

#endif  /* __MCU_H__ */
